Skip to content
On this page

Fetch Reviews ​

Retrieve a list of product reviews from your store.

Endpoint ​

GET /api/reviews/search

Query Parameters ​

NameTypeDescription
pageintPage number (optional)
limitintItems per page (optional)
productstringFilter by product ID (optional)
ratingintFilter by rating (optional)
publishedboolFilter by published status

Response ​

json
{
 
  "results": [
    {
      "_id": "string",
      "storeId": "string",
      "product": {
        "_id": "string",
        "name": "string",
        "image": "string"
      },
      "customer": {
        "_id": "string",
        "firstname": "string",
        "lastname": "string"
      },
      "content": "Great product!",
      "images": ["https://cdn.example.com/review1.jpg"],
      "rating": 5,
      "published": true,
      "createdAt": "2024-01-01T00:00:00.000Z"
    }
  ],
  "paginate": {
        "total": 1,
        "per_page": 20,
        "current_page": 1,
        "last_page": 1
    }
}

Released under the MIT License.